function [xi,yi] = linear_impl_midpoint(t0,y0,h,f,fy,T)
% Umsetzung der linear impliziten Mittelpunktsregel nach Bsp. 1.36 (b)

d=length(y0); % Dimension des AWPs
xi=t0:h:T; % Gitter
N=length(xi); % Anzahl Gitterpunkte
yi=[y0, zeros(d,N-1)]; % Lösungsvektor

for i=1:(N-1)
    k=(speye(d)-(h/2)*fy(xi(i),yi(:,i)))\f(xi(i),yi(:,i));
    yi(:,i+1)=yi(:,i)+h*k;
end